SoFieldList Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SoFieldList Class Reference
Field Classes

The SoFieldList class is a container for pointers to SoField objects. More...

`#include <Inventor/lists/SoFieldList.h>`

Inheritance diagram for SoFieldList:

## Public Member Functions
| SoFieldList (void)
| SoFieldList (const int sizehint)
| SoFieldList (const SoFieldList &l)
void | append (SoField *field)
void | insert (SoField *field, const int insertbefore)
SoField * | operator[] (const int idx) const
void | set (const int idx, SoField *field)
SoField * | get (const int idx) const
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members
Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SoFieldList class is a container for pointers to SoField objects.

See also
  SbList

## Constructor & Destructor Documentation

SoFieldList::SoFieldList | ( | void |  | ) |
| inline

Default constructor.

SoFieldList::SoFieldList | ( | const int | sizehint | ) |
| inline

This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also
  SbList::SbList(const int)

SoFieldList::SoFieldList | ( | const SoFieldList & | l | ) |
| inline

Copy constructor.

See also
  SbList::SbList(const SbList<Type> & l)

## Member Function Documentation

void SoFieldList::append | ( | SoField * | field | ) |
| inline

Overridden from parent to accept an SoField pointer argument.

void SoFieldList::insert | ( | SoField * | field,
|  | const int | insertbefore
| ) |  |
| inline

Overridden from parent to accept an SoField pointer argument.

SoField * SoFieldList::operator[] | ( | const int | idx | ) | const
| inline

Overridden from parent to return an SoField pointer.

void SoFieldList::set | ( | const int | index,
|  | SoField * | item
| ) |  |
| inline

Overridden from parent to accept an SoField pointer argument.

SoField * SoFieldList::get | ( | const int | idx | ) | const
| inline

Overridden from parent to return an SoField pointer.

The documentation for this class was generated from the following files:

- SoFieldList.h
- SoFieldList.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.